Product fees management

Retrieving all fees with given productId

get

Retrieve all fees with given productId.

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstringRequired

the tenant to work on.

Example: testtenant
productIdstringRequired

The unique identifier of the requested product.

Query parameters
siteCodestringOptional

A list of site codes.

Default: main
expandbooleanOptional

Whether only the fee-id is in the response or the full fees.

Default: false
Header parameters
Accept-Languagestring · min: 1Optional

The value of the locale identifier of the language in which the attribute should be returned. Provide several values separated by comma, in order to specify fallback languages.

Default: *
Responses
200Success
application/json
or
string[]OptionalExample: ["57b30fd2289c48001daf5486","96b30fd4586c48001daf1752"]
get
/fee/{tenant}/productFees/{productId}/fees

Adding a list of fees to a product

put

Adds a list of feeIds to the itemYRN.

Required scopes
This endpoint requires the following scopes:
  • : Needed to update an item fee.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstringRequired

the tenant to work on.

Example: testtenant
productIdstringRequired

The unique identifier of the requested product.

Query parameters
siteCodestringOptional

A list of site codes.

Default: main
partialbooleanOptional

Boolean parameter that defines the update type. By default, its value is false. For partial updates, the value is true.

Default: false
Body
feeIdsstring[]Required
Responses
200

Resource updated successfully.

No content

put
/fee/{tenant}/productFees/{productId}/fees

No content

Deleting all fees of an itemYRN

delete

Deletes item fee with specified productId in the itemYRN.


Additional scopes information

Use one or both of the following scopes to authorize the request:

  • fee.fee_delete

  • fee.item_delete

Required scopes
This endpoint requires the following scopes:
  • : Needed to delete a fee.
  • : Needed to delete an item fee.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstringRequired

the tenant to work on.

Example: testtenant
productIdstringRequired

The unique identifier of the requested product.

Responses
delete
/fee/{tenant}/productFees/{productId}/fees

No content

Deleting a fee from the itemYRN

delete

Deletes a fee for the specified productId and optionally deletes item fee if does not contain any more fee ids.


Additional scopes information

Use one or both of the following scopes to authorize the request:

  • fee.fee_delete

  • fee.item_delete

Required scopes
This endpoint requires the following scopes:
  • : Needed to delete a fee.
  • : Needed to delete an item fee.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
feeIdstringRequired
tenantstringRequired

the tenant to work on.

Example: testtenant
productIdstringRequired

The unique identifier of the requested product.

Responses
delete
/fee/{tenant}/productFees/{productId}/fees/{feeId}

No content

Last updated

Was this helpful?